List all open Web3 connections.
Get open Web3 connections.
GET
/
connections
TypeScript
const response: Promise<FireblocksResponse<GetConnectionsResponse>> = fireblocks.web3Connections.get(web3ConnectionsApiGetRequest);CompletableFuture<ApiResponse<GetConnectionsResponse>> response = fireblocks.web3Connections().get(order, filter, sort, pageSize, next, xEndUserWalletId);response = fireblocks.web3_connections.get(order, filter, sort, page_size, next, x_end_user_wallet_id);curl --request GET \
--url https://api.fireblocks.io/v1/connectionsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "4e9e7051-f3b2-48e9-8ee6-b12492552657",
"userId": "<string>",
"sessionMetadata": {
"appUrl": "<string>",
"appName": "<string>",
"appDescription": "<string>",
"appIcon": "<string>"
},
"vaultAccountId": 1,
"feeLevel": "MEDIUM",
"chainIds": [
"ETH",
"ETH_TEST",
"SOL"
],
"connectionType": "WalletConnect",
"connectionMethod": "API",
"creationDate": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": "<string>"
}
}Headers
Unique ID of the End-User wallet to the API request. Required for end-user wallet operations.
Query Parameters
List order; ascending or descending.
Available options:
ASC, DESC Parsed filter object
Show child attributes
Show child attributes
Property to sort Web3 connections by.
Available options:
id, userId, vaultAccountId, createdAt, feeLevel, appUrl, appName Amount of results to return in the next page.
Required range:
x <= 50Cursor to the next page
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<GetConnectionsResponse>> = fireblocks.web3Connections.get(web3ConnectionsApiGetRequest);CompletableFuture<ApiResponse<GetConnectionsResponse>> response = fireblocks.web3Connections().get(order, filter, sort, pageSize, next, xEndUserWalletId);response = fireblocks.web3_connections.get(order, filter, sort, page_size, next, x_end_user_wallet_id);